ctools - Support #3131

Possible cause of error
01/09/2020 12:58 PM - Acharyya Atreya

Status: New Start date: 01/09/2020
Priority: Normal Due date:

Assigned To: Knédlseder Jurgen % Done: 50%
Category: Estimated time: 0.00 hour
Target version:

Description

I am running some ctools simulations for the CTA exgal working group. We are computing the pre-trial significance of 1550 AGN
using ctools. When doing 50 hour simulations in the energy range 1-300 TeV | am encountering the following error

+++ WARNING in GCTABackground3D::mc(GEnergy&, GTime&, GRan&): Background rate 6.9329386163784¢e-08 for
196.515956506239 TeV at DETXY=[0.167020996035742,-0.113500638104345] is larger than the maximum expected rate
2.06984562822754e-08. Something is wrong with the code.

Code seems to be working for other analysis (have attached it here). Am worried about what it means.
Thanks in advance.

History

#1 - 01/09/2020 01:42 PM - Tibaldo Luigi

Hi Atreya,
could you please tell me:

e which is the version of ctools you are using

¢ for which IRFs you obtain this error message
e what is the minimum energy (1 TeV)

#2 - 01/09/2020 02:03 PM - Acharyya Atreya

user#266 wrote:

Hi Atreya,
could you please tell me:

e which is the version of ctools you are using

e for which IRFs you obtain this error message
¢ what is the minimum energy (1 TeV)

Hi Luigi,

Am using :

Ctools version 1.6.3

The errors only occur for north sources having a declination >40

IRF prod 3b-v2 'South_z60_50h" and 'North_z60_50h" depending on declination
The minimum energy for this instance is 1 TeV upto a maximum of 199 TeV

Thanks
#3 - 01/09/2020 02:05 PM - Tibaldo Luigi

Could you give me the coordinates of one of the sources for which you get the error please?

#4 - 01/09/2020 02:39 PM - Acharyya Atreya

user#266 wrote:

Could you give me the coordinates of one of the sources for which you get the error please?

A possible source would be 4FGL_J0209.9+7229 32.4979 72.4877

| see what you mean. This source would not be detectable with CTA-S as below horizon (negative culmination). So it is possible then that this error
arises due to that.

| had assumed that ctobssim would automatically handle that exception and give 0/'nan’' significance especially because | didn't get same error for 5
hour simulations at all energy thresholds.
Thanks again

#5 - 01/09/2020 03:02 PM - Tibaldo Luigi

No, it's up to you to choose the array you want to run the simulation for. For this specific source you should choose CTA-N.
Can you please confirm whether you get this error for this source when you use a North IRF or if it is only when you use a South one?

#6 - 01/09/2020 05:57 PM - Acharyya Atreya

user#266 wrote:

No, it's up to you to choose the array you want to run the simulation for. For this specific source you should choose CTA-N.
Can you please confirm whether you get this error for this source when you use a North IRF or if it is only when you use a South one?

Yes it's only when | run the South Array and a similar error also occurs for really Southern sources with North IRFs. Makes sense

I'l manually alter my script to incorporate objects below horizon. They'd asked us to find pre-trial significances for both North and South arrays so |
hadn't done so yet.

Thanks so much and you've been a great help as usual.

#7 - 01/09/2020 06:04 PM - Tibaldo Luigi
- Tracker changed from Bug to Support
- Assigned To set to Tibaldo Luigi
- % Done changed from 0 to 50

You're welcome.

TBD: figure out exactly what triggers this behavior, and, in case, implement a clearer error message.

#8 - 02/20/2020 03:40 PM - Tibaldo Luigi
- Assigned To changed from Tibaldo Luigi to Knédlseder Jiirgen

| cannot figure out why dealing with an unreasonable ROI (below the horizon), raises this error. Jirgen, could you please take a look?

Files

pl_simulations_50hr.py 13.8 KB 01/09/2020 Acharyya Atreya
